header {
  margin-bottom: 80px;

  .header-wrapper {
    background-color: #b71c1c;
    display: flex;
    align-items: center;
    justify-content: space-between;

    .burger-menu-btn {
      display: none;
    }

    .header-top {
      display: flex;
      justify-content: flex-end;
      align-items: center;
      padding-top: 20px;
      padding-bottom: 20px;

      .search__item {
        margin-right: 50px;
        position: relative;

        &::after {
          position: absolute;
          content: url(../images/search.svg);
          color: black;
          top: 3px;
          right: 20px;
        }

        input {
          border-radius: 10px;
          border: transparent;
          height: 25px;
          padding-left: 20px;
        }
      }

      .social-media__list {
        .social-media__item:not(:last-child) {
          padding-right: 20px;
        }

        .social-media__item {
          transition: 0.8s ease;
          cursor: pointer;

          &:hover {
            transform: rotate(45deg);
          }
        }
      }
    }

    .header-bottom {
      display: flex;
      justify-content: space-between;
      align-items: center;

      .logo {
        background-color: #fff;
      }

      .header-nav {
        .header-nav__list {
          display: flex;

          .header-nav__item:not(:last-child) {
            padding-right: 50px;
          }

          .header-nav__item {
            font-weight: normal;
            font-size: 16px;
            line-height: 1.5;
          }
        }
      }
    }
  }
}

.section__slider {
  .autoplay {
    .slide {
      .slide-image {
        max-width: 300px;
        margin-bottom: 10px;

        img {
          width: 100%;
        }
      }

      .slide-content {
        max-width: 300px;

        .news-location {
          display: flex;
          justify-content: space-between;
          font-size: 12px;
          margin-bottom: 15px;

          .city {
            color: #b71c1c;
          }

          .time {
            color: #ababab;
          }
        }

        .news-title {
          font-size: 16px;
          font-weight: bold;
          line-height: 1.5;
          margin-bottom: 10px;
        }

        .news-text {
          font-size: 14px;
          line-height: 1.2;
          color: #767676;
        }
      }

      .paragraph {
        margin-top: 40px;
        position: relative;

        &:after {
          content: '';
          position: absolute;
          bottom: -22px;
          height: 1px;
          width: 100%;
          background-color: #767676;
        }

        .text_color {
          color: #b71c1c;;
        }
      }
    }
  }
}

.section__main-article {
  .content__main {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    .content__photo {
      width: 600px;
      height: 400px;
      object-fit: cover;

      img {
        width: auto;
        height: auto;
      }
    }

    .content__text {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      width: 45%;
    }
  }

  .reverse {
    flex-direction: row-reverse;
  }
}

.section__slider {
  .single-item {
    .slide-item {
      display: flex;
      justify-content: space-evenly;

      .main-content {
        width: 50%;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
      }
    }
  }
  .main-arrows {

    position: relative;
    margin-top: 50px;
      .arrow-left {
        position: absolute;
        left: 20%;
        transition: 0.5s ease;
        &:hover {
          margin-left: 10px;
        }
      }
      .arrow-right {
        position: absolute;
        right: 20%;
        transition: 0.5s ease;
        &:hover {
          margin-right: 10px;
        }
      }
  }
}

.section__product {
  padding-top: 60px;

  .content__main {
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;

    .content__photo {
      max-width: 500px;
      height: auto;
      margin: 0 auto;
      margin-bottom: 20px;
      object-fit: cover;
    }

    .content__text {
      margin: 0 auto;
      align-items: center;

      h2 {
        text-align: center;
        margin-bottom: 15px;
      }
    }
  }

  .content__sub {
    border: 2px solid #dc513a;
    border-radius: 5px;
    padding: 25px 22px 25px 55px;

    .composition__list {
      list-style-image: url(../images/right.svg);
    }
  }
}

.section__wheel {
  .border {
    border: 2px solid #dc513a;
    border-radius: 5px;

    .wheel_header {
      text-align: center;
      margin-top: 20px;
      margin-bottom: 20px;
      font-weight: bold;
    }

    .wheel_of_fortune {
      margin-bottom: 20px;

      .konvajs-content {
        width: 100% !important;
        display: flex;
        justify-content: center;
        position: static !important;

        canvas {
          position: static !important;
        }
      }
    }

    .start-button {
      position: relative;

      .start-image {
        position: absolute;
        top: 210px;
        right: 50%;
        transform: translate(50%, 50%);
      }
    }
  }
}

.section__comments {
  h2 {
    margin-bottom: 20px;
  }

  .comments-form {
      margin-bottom: 33px;
      position: relative;
      display: flex;
      justify-content: space-between;
      align-items: center;

    .comments__user-avatar {
      position: absolute;
      top: 0px;
      left: 12px;
    }

    .comments__input {
      width: 100%;
      height: 25px;
      padding: 7px 11px 7px 80px;
      background-color: #f1f1f1;
      border-radius: 5px;
      font-weight: 300;
      font-size: 16px;
      line-height: 23px;
      color: inherit;
      border: none;
      resize: none;
    }

    .comments-form__button {
      position: absolute;
      top: 6px;
      right: 4px;
      border: none;
    }
  }

  .comments-block {
    .comments-item {
      display: flex;
      align-items: flex-start;
      padding-bottom: 20px;
      border-bottom: 1px solid #c5c5c5;
      margin-bottom: 20px;

      a {
        text-decoration: none;
        color: #1481ff;

        .comments-item__user-avatar {
          background: #c4c4c4;
          border-radius: 5px;
          margin-right: 31px;
        }
      }

      .comments-item__wrapper {
        width: 100%;

        .comments-item__username {
          display: block;
          font-weight: bold;
          font-size: 16px;
          line-height: 22px;
          margin-bottom: 5px;
        }

        .comments__text {
          font-weight: normal;
          font-size: 16px;
          line-height: 21px;
          margin-bottom: 10px;
        }

        .comments-item__bottom {
          display: flex;
          justify-content: space-between;
          align-items: center;

          .comments__link {
            font-weight: normal;
            font-size: 16px;
            line-height: 22px;
            color: #c5c5c5;

            .comments__date {
              display: inline-block;
              font-size: 12px;
              line-height: 16px;
              color: #c5c5c5;
              margin-left: auto;
            }
          }
        }
      }
    }
  }
}

.section__footer-news {
  .news_title {
    padding: 2px;
    display: inline-block;
    font-weight: normal;
    font-size: 16px;
    line-height: 165.7%;
    color: #fff;
    margin-bottom: 60px;
    background-color: #b71c1c;
  }

  .news__block {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    .news__card {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      width: 556px;
      border-bottom: 1px solid #c5c5c5;
      padding-bottom: 20px;
      margin-bottom: 20px;
      max-width: 100%;

      .news__text {
        font-weight: bold;
        font-size: 16px;
        line-height: 165.7%;
        color: #b71c1c;
      }

      .news__picture {
        margin-right: 24px;

        .news__picture img {
          max-width: unset;
        }
      }
    }
  }
}

footer {
  background-color: #b71c1c;

  .footer-info {
    background-color: #b71c1c;
    padding: 15px 0;

    a {
      text-decoration: none;
      color: #fff;

        .footer-info__logo {
          display: block;
          margin: 0 auto 15px;
        }
    }

    .footer-info__copyright {
      font-size: 16px;
      line-height: 165.7%;
      color: #fff;
      text-align: center;
    }

    .footer-info__privacy {
      display: block;
      max-width: max-content;
      margin: 0 auto;
      font-size: 16px;
      line-height: 165.7%;
    }
  }
}

.popup-bg {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: rgba(0,0,0,0.6);
  display: none;
  transition: 0.5s ease;

  .popup {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 600px;
    background: rgb(231, 231, 231);
    padding: 20px;
    transform: translate(-50%, -50%);
    padding-top: 60px;
    border-radius: 5px;
    transition: 0.5s ease;
    animation: toUp 1s ease 0.2s forwards;

    .close-popup {
      position: absolute;
      top: 30px;
      right: 30px;
      cursor: pointer;
    }

    .popup-name {
      text-align: center;
      margin-bottom: 20px;

      .popup-header {
        margin-bottom: 10px;
        font-size: 20px;
      }

      .popup-text {
        font-size: 15px;

        .resultWheel {
          color: red;
          font-size: 50px;
        }
      }
    }

    .popup-form {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      input {
        width: 60%;
        border: 2px solid transparent;
        font-size: 20px;
        margin-bottom: 30px;
        height: 40px;
        border-radius: 5px;
        padding-left: 10px;
        outline: none;
      }

      button {
        padding: 20px 50px;
        font-weight: bold;
        color: #fff;
        background-color: #1481ff;
        border: none;
        border-radius: 5px;
        transition: 0.5s ease;

        &:hover {
          font-size: 20px;
        }
      }
    }
  }
}





























